@import './fonts';
@import './variables';

//
// Global
//

.color-bright {
  color: $bg !important;
}

.color-dark {
  color: $text !important;
}

.color-gradient {
  background: -webkit-linear-gradient(135deg, $gradient1 0%, $gradient2 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.bg-color-bright {
  background-color: $bg !important;
}

.bg-color-dark {
  background-color: $text !important;
}

.bg-color-gradient {
  background: linear-gradient(135deg, $gradient1 0%, $gradient2 100%);
}

//
// Section Heading
//
.section-heading {
  text-align: left;
  font-style: italic;
  font-weight: 600;
  font-size: 2.4rem;
  line-height: 3rem;
  text-transform: uppercase;
  margin-left: 10%;
  display: block;
  position: relative;
  width: min-content;
  white-space: nowrap;

  @media #{$mq-phone} {
    font-size: 1.8rem;
  }
}

//
// General CTA
//

.general-cta {
  text-transform: uppercase;
  font-weight: 600;
  font-style: italic;
  font-size: 1.4rem;
  line-height: 1.8rem;
  padding: 10px 40px;
  border-radius: 50px;
}

//
// Candidate Card
//

.candidate-card {
  position: relative;
  margin: 0 20px;
  height: 500px;
  width: 300px;
  padding: 10px;
  margin-bottom: 40px;
  transition: 0.2s all ease-in-out;
  background: transparent;

  &:last-of-type {
    margin-bottom: 0;
  }

  .candidate-card-hover-shadow {
    position: absolute;
    top: 0;
    left: 50%;
    width: 100%;
    height: 100%;
    border-radius: 40px;
    background: linear-gradient(45deg, $gradient1, $gradient2);
    z-index: 4;
    filter: blur(10px);
    transform: translateX(-50%);
    opacity: 0;
    transition: 0.2s all ease-in-out;
  }
  .candidate-card-hover-border {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 92%;
    height: 92%;
    border-radius: 45px;
    background: linear-gradient(45deg, $gradient1, $gradient2);
    z-index: 5;
    transform: translate(-50%, -50%);
    transition: 0.2s all ease-in-out;
  }

  .candidate-card-content {
    margin: 0;
    position: relative;
    height: 500px;
    width: 300px;
    background: $bg;
    border-radius: 40px;
    box-shadow: 0 0 25px 2px rgba($bg, 0.3);
    overflow: hidden;
    z-index: 7;

    svg {
      position: relative !important;
      top: unset !important;
      left: unset !important;
    }

    .candidate-name {
      margin-left: 10px;
      font-weight: 600;
      font-size: 1.5rem;
      color: $text;

      &:first-child {
        margin-top: 30px;
      }
    }

    svg + .candidate-name {
      margin-top: -40px;
    }

    p {
      position: relative;
      margin-top: 20px;
      margin-left: 10px;
      max-width: 90%;
      max-height: 30%;
      font-style: italic;
      color: rgba($text10L, 0.8);
      display: -webkit-box;
      text-align: justify;
      overflow: hidden;
      -webkit-line-clamp: 7;
      -webkit-box-orient: vertical;
    }

    .candidate-cta {
      position: absolute;
      bottom: 20px;
      left: 50%;
      transform: translateX(-50%);
      font-size: 1rem;
      white-space: nowrap;
    }
  }

  @media (hover: hover) and (pointer: fine) {
    &:hover {
      transform: scale(1.1);
      margin-left: 40px;
      margin-right: 40px;

      .candidate-card-hover-shadow {
        // width: 100%;
        // height: 100%;
        opacity: 0.7;
      }
      .candidate-card-hover-border {
        width: 98%;
        height: 99%;
      }
    }
  }
}

.candidate-card-select {
  position: relative;
  width: 280px;
  height: 350px;
  border-radius: 40px;
  margin: 0 25px;
  margin-bottom: 50px;
  text-align: center;
  @media #{$mq-phone} {
    margin: 30px 25px;
    width: 260px;
    height: 320px;
  }

  &:last-of-type {
    margin-bottom: 0;
  }

  .candidate-card-select-content {
    position: relative;
    overflow: hidden;
    z-index: 7;
    background: $text;
    border-radius: 40px;
    width: 280px;
    height: 350px;
    @media #{$mq-phone} {
      width: 260px;
      height: 320px;
    }

    .candidate-name {
      margin-left: 10px;
      font-weight: 600;
      font-size: 1.3rem;
      color: $bg;
      text-align: left;
      &:first-child {
        margin-top: 30px;
      }
    }

    svg + .candidate-name {
      margin-top: -50px;
    }

    .candidate-select-cta {
      font-size: 1.1rem;
      padding: 8px 30px;
      display: inline-block;
      position: absolute;
      bottom: 20px;
      left: 50%;
      transform: translateX(-50%);
      white-space: nowrap;
    }
  }

  .candidate-card-select-shadow {
    position: absolute;
    top: -5%;
    left: 50%;
    transform: translateX(-50%);
    width: 0%;
    height: 0%;
    border-radius: 47px;
    background: $grad2;
    z-index: 4;
    filter: blur(10px);
    opacity: 0.7;
    transition: 0.2s all ease-in-out;
  }
  .candidate-card-select-border {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 0%;
    height: 0%;
    border-radius: 48px;
    background: $grad2;
    z-index: 5;
    transform: translate(-50%, -50%);
    transition: 0.2s all ease-in-out;
  }

  &.candidate-card-select-current {
    transform: scale(1.1);
    margin: 0 35px;
    @media #{$mq-phone} {
      margin: 30px 25px;
    }

    .candidate-select-cta {
      background: none;
      cursor: default;
    }

    .candidate-card-select-shadow {
      width: 115%;
      height: 110%;
    }
    .candidate-card-select-border {
      width: 105%;
      height: 105%;
    }
  }
}

.candidate-card-overview {
  position: relative;
  width: 250px;
  height: 300px;
  background: $text;
  border-radius: 48px;
  overflow: hidden;
  box-shadow: 2px 2px 20px 5px rgba($text, 0.5);

  .candidate-name {
    margin-left: 10px;
    font-weight: 600;
    font-size: 1.3rem;
    color: $bg;
    text-align: left;

    &:first-child {
      margin-top: 30px;
    }
  }

  svg + .candidate-name {
    margin-top: -40px;
  }

  p {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 1000px;
    @include gradient-text($grad1);
    font-weight: 600;
    font-style: italic;
    text-transform: uppercase;
    padding: 8px 30px 5px;
  }
}
